<?php
/**
 * Moving Truck Rental functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package moving_truck_rental
 */

$moving_truck_rental_theme_data = wp_get_theme();
if( ! defined( 'MOVING_TRUCK_RENTAL_THEME_VERSION' ) ) define ( 'MOVING_TRUCK_RENTAL_THEME_VERSION', $moving_truck_rental_theme_data->get( 'Version' ) );
if( ! defined( 'MOVING_TRUCK_RENTAL_THEME_NAME' ) ) define( 'MOVING_TRUCK_RENTAL_THEME_NAME', $moving_truck_rental_theme_data->get( 'Name' ) );
if( ! defined( 'MOVING_TRUCK_RENTAL_THEME_TEXTDOMAIN' ) ) define( 'MOVING_TRUCK_RENTAL_THEME_TEXTDOMAIN', $moving_truck_rental_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'MOVING_TRUCK_RENTAL_VERSION' ) ) {
	define( 'MOVING_TRUCK_RENTAL_VERSION', '1.0.0' );
}

if ( ! function_exists( 'moving_truck_rental_setup' ) ) :
	
	function moving_truck_rental_setup() {
		
		load_theme_textdomain( 'moving-truck-rental', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'moving-truck-rental' ),
				'social'  => esc_html__( 'Social', 'moving-truck-rental' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'moving_truck_rental_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
	}
endif;
add_action( 'after_setup_theme', 'moving_truck_rental_setup' );

function moving_truck_rental_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'moving_truck_rental_content_width', 640 );
}
add_action( 'after_setup_theme', 'moving_truck_rental_content_width', 0 );

function moving_truck_rental_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'moving-truck-rental' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'moving-truck-rental' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$moving_truck_rental_footer_widget_column = get_theme_mod('moving_truck_rental_footer_widget_column','4');
	for ($moving_truck_rental_i=1; $moving_truck_rental_i<=$moving_truck_rental_footer_widget_column; $moving_truck_rental_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'moving-truck-rental' )  . $moving_truck_rental_i,
			'id' => 'moving-truck-rental-footer-widget-' . $moving_truck_rental_i,
			'description' => __( 'The Footer Widget Area', 'moving-truck-rental' )  . $moving_truck_rental_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'moving_truck_rental_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function moving_truck_rental_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Owl Carousel style.
	wp_enqueue_style( 'owl-carousel-css', get_template_directory_uri() . '/resource/css/owl.carousel' . '.css', array(), '2.3.4' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'moving-truck-rental-style', get_template_directory_uri() . '/style.css', array(), MOVING_TRUCK_RENTAL_VERSION );

	// RTL style.
	wp_style_add_data('moving-truck-rental-style', 'rtl', 'replace');

	// Animate CSS
	wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );

	// Navigation script.
	wp_enqueue_script( 'moving-truck-rental-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), MOVING_TRUCK_RENTAL_VERSION, true );

	// Owl Carousel.
	wp_enqueue_script( 'owl-carousel-script', get_template_directory_uri() . '/resource/js/owl.carousel' . '.js', array( 'jquery' ), '2.3.4', true );

	// Slick script.
	wp_enqueue_script( 'slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Custom script.
	wp_enqueue_script( 'moving-truck-rental-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), MOVING_TRUCK_RENTAL_VERSION, true );

	// Wow script.
	wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	
}
add_action( 'wp_enqueue_scripts', 'moving_truck_rental_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'moving_truck_rental_products_per_page' );
function moving_truck_rental_products_per_page( $cols ) {
  	return  get_theme_mod( 'moving_truck_rental_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'moving_truck_rental_loop_columns');
	if (!function_exists('moving_truck_rental_loop_columns')) {
	function moving_truck_rental_loop_columns() {
		return get_theme_mod( 'moving_truck_rental_products_per_row', 3 );
	}
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

/**
* Load TGM.
*/
require get_template_directory() . '/theme-wizard/tgm/tgm.php';

function moving_truck_rental_links_setup() {
	if ( ! defined( 'MOVING_TRUCK_RENTAL_PREMIUM_PAGE' ) ) {
	define('MOVING_TRUCK_RENTAL_PREMIUM_PAGE',__('https://asterthemes.com/products/movers-wordpress-theme','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_THEME_PAGE' ) ) {
		define('MOVING_TRUCK_RENTAL_THEME_PAGE',__('https://asterthemes.com/products/moving-truck-rental','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_SUPPORT' ) ) {
	define('MOVING_TRUCK_RENTAL_SUPPORT',__('https://wordpress.org/support/theme/moving-truck-rental/','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_REVIEW' ) ) {
	define('MOVING_TRUCK_RENTAL_REVIEW',__('https://wordpress.org/support/theme/moving-truck-rental/reviews/','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_PRO_DEMO' ) ) {
	define('MOVING_TRUCK_RENTAL_PRO_DEMO',__('https://demo.asterthemes.com/moving-truck-rental/','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_THEME_DOCUMENTATION' ) ) {
	define('MOVING_TRUCK_RENTAL_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/moving-truck-rental-free/','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_PREMIUM_DOCUMENTATION' ) ) {
	define('MOVING_TRUCK_RENTAL_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/moving-truck-rental-pro/','moving-truck-rental'));
	}
	if ( ! defined( 'MOVING_TRUCK_RENTAL_BUNDLE_PAGE' ) ) {
		define('MOVING_TRUCK_RENTAL_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','moving-truck-rental'));
	}
}
add_action('after_setup_theme', 'moving_truck_rental_links_setup');

/**
 * Theme Wizard
*/
add_action( 'init', 'moving_truck_rental_load_theme_wizard' );
function moving_truck_rental_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';


// Enqueue Customizer live preview script
function moving_truck_rental_customizer_live_preview() {
    wp_enqueue_script(
        'moving-truck-rental-customizer',
        get_template_directory_uri() . '/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'moving_truck_rental_customizer_live_preview');

// Featured Image Dimension
function moving_truck_rental_blog_post_featured_image_dimension(){
	if(get_theme_mod('moving_truck_rental_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// Reset all theme settings
function moving_truck_rental_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('moving_truck_rental_discount_topbar_text');
		remove_theme_mod('moving_truck_rental_header_button_label_');
		remove_theme_mod('moving_truck_rental_header_button_link_');
		remove_theme_mod('moving_truck_rental_trending_product_heading');
		remove_theme_mod('moving_truck_rental_services_number');
		remove_theme_mod('moving_truck_rental_services_text');
		remove_theme_mod('moving_truck_rental_trending_post_category');
		remove_theme_mod('moving_truck_rental_banner_button_label_');
		remove_theme_mod('moving_truck_rental_banner_button_label_1');
		remove_theme_mod('moving_truck_rental_banner_button_link_1');
		remove_theme_mod('moving_truck_rental_enable_service_section');
		remove_theme_mod('moving_truck_rental_enable_banner_section');
		
        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'moving-truck-rental')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'moving-truck-rental')));
    }
}
add_action('wp_ajax_moving_truck_rental_reset_demo_import_settings', 'moving_truck_rental_reset_demo_import_settings'); 